package domain;

import java.util.*;

public class Game {
   public static final int CAPACITY = 10;
   private Ring ring = new Ring();
   private int smallAmount;
   private int bigAmount;

   private Hand hand;

   public List<Player> players() {
      return ring.players();
   }

   public void add(Player player) {
      ring.add(player);
   }

   public void setButton(int position) {
      ring.setButton(position);
   }

   public void setBlinds(int small, int big) {
      smallAmount = small;
      bigAmount = big;
   }

   // needed for testing 
   Deck deck() {
      return hand.deck();
   }

   public void dealFlop() {
      hand.dealFlop();
   }

   public List<Card> community() {
      if (hand == null)
         return new ArrayList<Card>();
      return hand.community();
   }

   public void dealTurn() {
      hand.dealTurn();
   }

   public void dealRiver() {
      hand.dealRiver();
   }

   public void startHand() {
      hand = new Hand(ring, smallAmount, bigAmount);
   }

   public void dealHoleCards() {
      hand.dealHoleCards();
   }

   public int buttonPosition() {
      return ring.buttonPosition();
   }

   public void stopHand() {
      hand.stop();
      ring.advanceButton();
   }
}