package domain;

import java.util.*;

public class Hand {
   private List<Card> community = new ArrayList<Card>();
   private Deck deck;
   private int smallAmount;
   private int bigAmount;
   private Ring ring;

   public Hand(Ring ring, int small, int big) {
      this.ring = ring;
      this.smallAmount = small;
      this.bigAmount = big;
      start();
   }

   int button() {
      return ring.buttonPosition();
   }

   public void start() {
      ring.collectBlinds(smallAmount, bigAmount);
      deck = new Deck();
   }

   public void dealHoleCards() {
      for (int round = 0; round < 2; round++)
         for (Player player: ring)
            player.dealToHole(deck.deal());
   }

   public void dealFlop() {
      burn();
      for (int i = 0; i < 3; i++)
         community.add(deck.deal());
   }

   public List<Card> community() {
      return community;
   }

   public void dealTurn() {
      burnAndTurn();
   }

   public void dealRiver() {
      burnAndTurn();
   }

   public void stop() {
      ring.removeAllCards();
      community.clear();
   }

   // needed for testing 
   Deck deck() {
      return deck;
   }

   private void burn() {
      deck.deal();
   }

   private void burnAndTurn() {
      burn();
      community.add(deck.deal());
   }

   Ring ring() {
      return ring;
   }
}