package domain;

import java.util.*;

public class Player {
   private String name;
   private List<Card> holeCards = new ArrayList<Card>();
   private int chips;

   public Player(String name) {
      this(name, 0);
   }

   public Player(String name, int initialStake) {
      this.name = name;
      chips = initialStake;
   }

   public String getName() {
      return name;
   }

   public List<Card> holeCards() {
      return holeCards;
   }

   public void dealToHole(Card card) {
      holeCards.add(card);
   }

   public int chipCount() {
      return chips;
   }

   public void add(int amount) {
      chips += amount;
   }

   public void bet(int amount) {
      if (amount > chips)
         throw new InsufficientFundsException();
      chips -= amount;
   }

   public void removeCards() {
      holeCards.clear();
   }
}