package util;

import java.util.*;

import junit.framework.*;

public class CollectionsUtilTest extends TestCase {
   private static final String ELEMENT1 = "a";
   private static final String ELEMENT2 = "a";

   public void testCreateArrayListEmpty() {
      List<String> list = CollectionsUtil.createArrayList();
      assertTrue(list.getClass() == ArrayList.class);
      assertEquals(0, list.size());
   }
   
   public void testCreateArrayListSingleElement() {
      List<String> list = CollectionsUtil.createArrayList(ELEMENT1);
      assertEquals(1, list.size());
      assertEquals(ELEMENT1, list.get(0));
   }
   
   public void testCreateArrayListDifferentType() {
      final int num = 1;
      List<Integer> list = CollectionsUtil.createArrayList(num);
      assertEquals(1, list.size());
      int actual = list.get(0);
      assertEquals(num, actual);
   }
   
   public void testCreateArrayListMultipleElements() {
      List<String> list = CollectionsUtil.createArrayList(ELEMENT1, ELEMENT2);
      assertEquals(2, list.size());
      assertEquals(ELEMENT1, list.get(0));
      assertEquals(ELEMENT2, list.get(1));
   }
}
